DB->get_encrypt_flags()
Prev | Chapter 2. The DB Handle | Next

## DB->get_encrypt_flags()

    #include <db.h>

    int
    DB->get_encrypt_flags(DB *db, u_int32_t *flagsp);

The `DB->get_encrypt_flags()` method returns the encryption flags. This flag can be set using the DB->set_encrypt() method.

The `DB->get_encrypt_flags()` method may be called at any time during the life of the application.

The `DB->get_encrypt_flags()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### flagsp

The `DB->get_encrypt_flags()` method returns the encryption flags in flagsp.

### Class

DB

### See Also

Database and Related Methods, DB->set_encrypt()

Prev | Up | Next
DB->get_dbname() | Home | DB->get_errfile()